<?php
/**
* Social Options.
*
* @package Car Rental Service
*/

$car_rental_service_default = car_rental_service_get_default_theme_options();

// Social Section.
$wp_customize->add_section( 'car_rental_service_social_icon_setting',
	array(
	'title'      => esc_html__( 'Social Settings', 'car-rental-service' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'car_rental_service_theme_option_panel',
	)
);

$wp_customize->add_setting( 'car_rental_service_header_layout_social_facebook_link',
    array(
    'default'           => $car_rental_service_default['car_rental_service_header_layout_social_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_rental_service_header_layout_social_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'car-rental-service' ),
    'section'  => 'car_rental_service_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'car_rental_service_header_layout_social_twitter_link',
    array(
    'default'           => $car_rental_service_default['car_rental_service_header_layout_social_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_rental_service_header_layout_social_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'car-rental-service' ),
    'section'  => 'car_rental_service_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'car_rental_service_header_layout_social_instagram_link',
    array(
    'default'           => $car_rental_service_default['car_rental_service_header_layout_social_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_rental_service_header_layout_social_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'car-rental-service' ),
    'section'  => 'car_rental_service_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'car_rental_service_header_layout_social_linkdin_link',
    array(
    'default'           => $car_rental_service_default['car_rental_service_header_layout_social_linkdin_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_rental_service_header_layout_social_linkdin_link',
    array(
    'label'    => esc_html__( 'Linkedin Link', 'car-rental-service' ),
    'section'  => 'car_rental_service_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'car_rental_service_header_layout_social_watsapp_link',
    array(
    'default'           => $car_rental_service_default['car_rental_service_header_layout_social_watsapp_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_rental_service_header_layout_social_watsapp_link',
    array(
    'label'    => esc_html__( 'Watsapp Link', 'car-rental-service' ),
    'section'  => 'car_rental_service_social_icon_setting',
    'type'     => 'url',
    )
);